@ECHO OFF
:start
CLS
SET installPath="c:\inetpub\wwwroot\InformUP"

ECHO *****************************
ECHO *** informUp installation ***
ECHO *****************************

ECHO Installation is in default IIS path: c:\inetpub\wwwroot. 
ECHO In case you want to install it on different path contact support@informup.com

SET /P ANSWER=Do you want to continue(y/n)?
if /i {%ANSWER%}=={y} goto iisdefault
if /i {%ANSWER%}=={n} goto end
goto start
:iisdefault

REM *** Run ClassicASP ***
REM *** Pkgmgr.exe is a new command tool in Windows Vista / Windows Server 2008 for installing Windows Optional Features ***
REM *** Start /w pkgmgr /iu:IIS-WebServerRole;IIS-WebServer;IIS-CommonHttpFeatures;IIS-StaticContent;IIS-DefaultDocument;IIS-DirectoryBrowsing;IIS-HttpErrors;IIS-ApplicationDevelopment;IIS-ASP;IIS-ISAPIExtensions;IIS-HealthAndDiagnostics;IIS-HttpLogging;IIS-LoggingLibraries;IIS-RequestMonitor;IIS-Security;IIS-RequestFiltering;IIS-HttpCompressionStatic;IIS-WebServerManagementTools;IIS-ManagementConsole;IIS-IIS6ManagementCompatibility;IIS-Metabase;IIS-WMICompatibility;IIS-LegacyScripts;IIS-ASPNET;IIS-NetFxExtensibility;IIS-ISAPIExtensions;IIS-ISAPIFilter;

REM *** Configure 32-bit mode for the server on 64 bit OS ***
%windir%\system32\inetsrv\appcmd set config -section:applicationPools -applicationPoolDefaults.enable32BitAppOnWin64:true 

REM *** Restart IIS ***
REM iisreset

REM *** Install asp.net ***
%systemroot%\Microsoft.NET\Framework\v2.0.50727\aspnet_regiis.exe -i
REM *** Allow ASP.NET in the web service extension ***
%systemroot%\Microsoft.NET\Framework\v2.0.50727\aspnet_regiis.exe -iru -enable

REM *** Install asp.net 64 bit ***
%systemroot%\Microsoft.NET\Framework64\v2.0.50727\aspnet_regiis.exe -i
REM *** Allow ASP.NET in the web service extension ***
%systemroot%\Microsoft.NET\Framework64\v2.0.50727\aspnet_regiis.exe -iru -enable

REM *** Install informUp ***
ECHO DO NOT CLOSE THIS WINDOW TILL YOU GET TO THE END
msiexec.exe /a informup.msi

if not exist %installPath% goto iisproblems 

ATTRIB -R %installPath% /S /D
%systemroot%\system32\cacls %installPath% /t /e /p ASPNET:f
%systemroot%\system32\cacls %installPath% /t /e /p IIS_WPG:f
%systemroot%\system32\cacls %installPath% /t /e /p "Network Service":f
%systemroot%\system32\cacls %installPath% /t /e /p IIS_IUSRS:f

if exist %installPath%\Configuration goto configurationexist
mkdir %installPath%\Configuration
copy %installPath%\Configuration_New\* %installPath%\Configuration\*

:configurationexist

REM *** Application Pool Configuration ***
%systemroot%\system32\inetsrv\APPCMD.exe add app /site.name:"Default Web Site" /path:/InformUP /physicalPath:%installPath%
%systemroot%\system32\inetsrv\APPCMD.exe set app "Default Web Site/InformUP" /applicationPool:"Classic .NET AppPool"
%systemroot%\system32\inetsrv\APPCMD.exe set config "Default Web Site/InformUP" /section:defaultDocument /enabled:true /+files.[value='main.aspx'] 
%systemroot%\system32\inetsrv\appcmd.exe set AppPool /apppool.name:"Classic .NET AppPool" -processModel.identityType:LocalSystem

start "c:\Program Files\Internet Explorer\iexplore.exe" http://localhost/informup
goto end

:iisproblems
ECHO IIS is not installed or missing 6.0 metabase - look in our knowledgebase or contact support@informup.com
pause
:end




